Debian Bug report logs - #667477
libvirt: FTBFS[kfreebsd]: build-dependency on module-init-tools

version graph

Package: src:libvirt; Maintainer for src:libvirt is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 4 Apr 2012 11:12:41 UTC

Severity: serious

Tags: sid, wheezy

Found in version libvirt/0.9.11-1

Fixed in version libvirt/0.9.11-2

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#667477; Package src:libvirt. (Wed, 04 Apr 2012 11:12:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 04 Apr 2012 11:12:54 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libvirt: FTBFS[kfreebsd]: build-dependency on module-init-tools
Date: Wed, 04 Apr 2012 13:13:02 +0200
Package: src:libvirt
Version: 0.9.11-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

The following packages have unmet dependencies:
 module-init-tools : Depends: libkmod2 but it is not installable
                     Depends: kmod but it is not installable

  module-init-tools recently became a arch:all package (it was linux-any
before) so the Provides: by kfreebsd's kldutils is no longer able to
satisfy the dependency on module-init-tools on the autobuilders. Please
mark the build-dependency as linux-any.


Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Mon, 09 Apr 2012 16:36:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 09 Apr 2012 16:36:12 GMT) Full text and rfc822 format available.

Message #10 received at 667477-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 667477-close@bugs.debian.org
Subject: Bug#667477: fixed in libvirt 0.9.11-2
Date: Mon, 09 Apr 2012 16:33:42 +0000
Source: libvirt
Source-Version: 0.9.11-2

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive:

libvirt-bin_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt-bin_0.9.11-2_i386.deb
libvirt-dev_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt-dev_0.9.11-2_i386.deb
libvirt-doc_0.9.11-2_all.deb
  to main/libv/libvirt/libvirt-doc_0.9.11-2_all.deb
libvirt0-dbg_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt0-dbg_0.9.11-2_i386.deb
libvirt0_0.9.11-2_i386.deb
  to main/libv/libvirt/libvirt0_0.9.11-2_i386.deb
libvirt_0.9.11-2.debian.tar.gz
  to main/libv/libvirt/libvirt_0.9.11-2.debian.tar.gz
libvirt_0.9.11-2.dsc
  to main/libv/libvirt/libvirt_0.9.11-2.dsc
python-libvirt_0.9.11-2_i386.deb
  to main/libv/libvirt/python-libvirt_0.9.11-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Apr 2012 17:29:46 +0200
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt
Architecture: source all i386
Version: 0.9.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 667477 667636
Changes: 
 libvirt (0.9.11-2) unstable; urgency=low
 .
   * [70dcb2e] Make module-init-tools a linux-any dependency
     (Closes: #667477)
   * [ea112f4] Depend on dwarves for checks requiring pdwtags
   * [5152b85] virURIParse: don't forget to copy the user part
     (Closes: #667636)
Checksums-Sha1: 
 1c99bb6494e39e9c60dfa05c75c3c0cfa4511a09 2276 libvirt_0.9.11-2.dsc
 312630dd64121bd5297000bc2616ef90c300c08f 35711 libvirt_0.9.11-2.debian.tar.gz
 79063a94f7ec0b71823cf3ff4758a4add50a91ef 1965264 libvirt-doc_0.9.11-2_all.deb
 63eef7a67ade57ef6dc06ae604cabf2ae5a9f16c 2127948 libvirt-bin_0.9.11-2_i386.deb
 e37dec54a4386789a454cdaa1cf330202b60c360 1926654 libvirt0_0.9.11-2_i386.deb
 38e8019ec149103b03f240b8906b0e9a0c5db166 5865884 libvirt0-dbg_0.9.11-2_i386.deb
 dc7f9321f62c40caff9bb6214419f33faa76b01e 2306642 libvirt-dev_0.9.11-2_i386.deb
 a20c5063a0708f61b364a80be5abefb4bd887d80 1223186 python-libvirt_0.9.11-2_i386.deb
Checksums-Sha256: 
 15fc703b5e7ba60b6d0aa22fce0ab894abe2fbedcda1348718ce9d4034210250 2276 libvirt_0.9.11-2.dsc
 075391487a83b7f7bbc0e4619ed6e13315f1a341b31cdf3ada978c2f5b58454d 35711 libvirt_0.9.11-2.debian.tar.gz
 3280657276e3daecac394fa30d41d8d142cb105d3655fab981ba22894d37cc61 1965264 libvirt-doc_0.9.11-2_all.deb
 9c0a6e39940f89b6b0b45916686cb24db0cc07df4838968798cb545dd0855ebf 2127948 libvirt-bin_0.9.11-2_i386.deb
 0ed258c3d519c81037cdda638eaa0eca163fc26db71faf3aa5ee2da05968d656 1926654 libvirt0_0.9.11-2_i386.deb
 ca7f6c7a8b28c755a51a626b14c64cc39dfd8a994a55486760acd16490d62758 5865884 libvirt0-dbg_0.9.11-2_i386.deb
 d1aa639706fb5d9f695aad442530328bdbd0070232085ff341d3e15dbcf2a769 2306642 libvirt-dev_0.9.11-2_i386.deb
 1aded08b9cae4788b434c2055ed99ec2b9974236b3761172e028e6ab9f700684 1223186 python-libvirt_0.9.11-2_i386.deb
Files: 
 b6b7fca4d675167bc9996d3c9b936206 2276 libs optional libvirt_0.9.11-2.dsc
 265e6b624659d9f219eeafbf9b0ef4ef 35711 libs optional libvirt_0.9.11-2.debian.tar.gz
 60b8d708f27c7ecafcb32a6051303f17 1965264 doc optional libvirt-doc_0.9.11-2_all.deb
 dbb35fd74a60d2e555b7795da1a2af6b 2127948 admin optional libvirt-bin_0.9.11-2_i386.deb
 0bf0bd86106b49523d9c7e2be6c00b97 1926654 libs optional libvirt0_0.9.11-2_i386.deb
 616944f6d42748d1d4ac8749ee25c0d0 5865884 debug extra libvirt0-dbg_0.9.11-2_i386.deb
 a7a13633a0c79427605661052b3b3a83 2306642 libdevel optional libvirt-dev_0.9.11-2_i386.deb
 e24003290359e8b32fbe1f75aa2e2cc4 1223186 python optional python-libvirt_0.9.11-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPgwzfn88szT8+ZCYRAgTCAJ9fvP/8fTjoUPcMXBL3fxovTEaMmQCeKDYZ
myNwOXJeOy4rfCUMaK4tzs4=
=YQJ5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jun 2012 07:47:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:20:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.